import mongoose from 'mongoose';

const GoogleProviderSchema = new mongoose.Schema({
  id: {
    type: String,
    required: true,
    //unique: true,
  },
  profileUrl: {
    type: String,
  },
});

const UserSchema = new mongoose.Schema({
  nickname: {
    type: String,
  },
  email: {
    type: String,
    //unique: true,
  },
  google: {
    type: GoogleProviderSchema,
  }
});

const User = mongoose.model("User", UserSchema);

export default User;