import { useNavigate } from 'react-router-dom';
import GoogleLoginButton from "../components/GoogleLoginButton.js";
import React, { useState, useEffect, useContext } from 'react';

import { UserContext } from '../Usercontext.js';
function Button({history, children}){
  const navigate = useNavigate();
  return(
    <button onClick={() => {navigate('/search');}}>
      {children}
    </button>
  );
}

function Login() {

  const userContext = useContext(UserContext);

  useEffect(() => {
    // console.log(userContext)
  });

  return(
    <div className="App">
      <h1>로그인 '해줘'</h1>
	  <GoogleLoginButton></GoogleLoginButton>
    </div>)
  ;
}

export default Login;